<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Patient Management System</title>

<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
</head>
<body>
	<div class="container">
		<h1>Patient Management System</h1>
		<hr>
		<h2>Update Patient</h2>

		<form action="#" th:action="@{/v1/patient}" th:object="${patient}"
			method="post">
			
			<!-- Add hidden form field to handle update -->
			<input type="hidden" th:field="*{id}" />
			
			<input type="text" th:field="*{name}" class="form-control mb-4 col-4" required="required">
				
				<input type="text" th:field="*{gender}" class="form-control mb-4 col-4" required="required">
				
				<input type="number" th:field="*{phone}" class="form-control mb-4 col-4" required="required">
				
				<button type="submit" class="btn btn-info col-2"> Update Patient</button>
		</form>
		
		<hr>
		
		<a th:href = "@{/}"> Back to Patient List</a>
	</div>
</body>
</html>